Package org.apache.ignite.internal.management.cache

## Class FindAndDeleteGarbageInPersistenceTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<CacheFindGarbageCommandArg,​FindAndDeleteGarbageInPersistenceTaskResult,​FindAndDeleteGarbageInPersistenceJobResult>
  - - org.apache.ignite.internal.management.cache.FindAndDeleteGarbageInPersistenceTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<CacheFindGarbageCommandArg>,​VisorTaskResult<FindAndDeleteGarbageInPersistenceTaskResult>>`

    @GridInternal
    public class FindAndDeleteGarbageInPersistenceTask
    extends VisorMultiNodeTask<CacheFindGarbageCommandArg,​FindAndDeleteGarbageInPersistenceTaskResult,​FindAndDeleteGarbageInPersistenceJobResult>

Compute task which are part of 'find and delete garbage' functionality.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`FindAndDeleteGarbageInPersistenceTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<CacheFindGarbageCommandArg,​FindAndDeleteGarbageInPersistenceJobResult>` `job​(CacheFindGarbageCommandArg arg)`
`protected Collection<UUID>` `jobNodes​(VisorTaskArgument<CacheFindGarbageCommandArg> arg)`
`protected @Nullable FindAndDeleteGarbageInPersistenceTaskResult` `reduce0​(List<ComputeJobResult> list)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FindAndDeleteGarbageInPersistenceTask

    public FindAndDeleteGarbageInPersistenceTask()

### Method Detail

#### reduce0

    @Nullable
    protected @Nullable FindAndDeleteGarbageInPersistenceTaskResult reduce0​(List<ComputeJobResult> list)
                                                                     throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<CacheFindGarbageCommandArg,​FindAndDeleteGarbageInPersistenceTaskResult,​FindAndDeleteGarbageInPersistenceJobResult>`
Parameters:
  `list` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

#### job

    protected VisorJob<CacheFindGarbageCommandArg,​FindAndDeleteGarbageInPersistenceJobResult> job​(CacheFindGarbageCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<CacheFindGarbageCommandArg,​FindAndDeleteGarbageInPersistenceTaskResult,​FindAndDeleteGarbageInPersistenceJobResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### jobNodes

    protected Collection<UUID> jobNodes​(VisorTaskArgument<CacheFindGarbageCommandArg> arg)

Overrides:
  `jobNodes` in class `VisorMultiNodeTask<CacheFindGarbageCommandArg,​FindAndDeleteGarbageInPersistenceTaskResult,​FindAndDeleteGarbageInPersistenceJobResult>`
Returns:
  Collection of nodes IDs where jobs should be mapped.